Bug 23148 - Replace Bridge icons with transparent PNG files
Summary: Replace Bridge icons with transparent PNG files
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-06-18 16:39 UTC by Owen Leonard
Modified: 2020-08-03 22:54 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 02.05.03


Attachments
Bug 23148: Replace Bridge icons with transparent PNG files (401.19 KB, patch)
2020-06-26 12:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23148: Replace Bridge icons with transparent PNG files (401.19 KB, patch)
2020-06-26 17:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23148: (follow-up) Replace gif files in the OPAC with pngs (146.34 KB, patch)
2020-06-26 17:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23148: Replace Bridge icons with transparent PNG files (401.24 KB, patch)
2020-06-26 20:39 UTC, David Nind
Details | Diff | Splinter Review
Bug 23148: (follow-up) Replace gif files in the OPAC with pngs (146.38 KB, patch)
2020-06-26 20:39 UTC, David Nind
Details | Diff | Splinter Review
Bug 23148: (follow-up) Correct image paths in sample_itemtypes.yml (2.37 KB, patch)
2020-06-29 12:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23148: (follow-up) Correct image paths in sample data and tests (12.78 KB, patch)
2020-06-29 12:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23148: Replace Bridge icons with transparent PNG files (400.80 KB, patch)
2020-07-03 07:02 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 23148: (follow-up) Replace gif files in the OPAC with pngs (145.93 KB, patch)
2020-07-03 07:02 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 23148: (follow-up) Correct image paths in sample data and tests (12.78 KB, patch)
2020-07-03 07:02 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 23148: Fix bridge image paths in de-DE installer files (1.62 KB, patch)
2020-07-03 07:02 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-06-18 16:39:07 UTC
I propose to replace the Bridge icon set's GIFs with transparent PNG files. I propose also that the new images omit the English text labels which are not translatable and are unlikely to match any particular library's item type terminology.
Comment 1 Katrin Fischer 2019-08-18 10:22:22 UTC
+1
Comment 2 Owen Leonard 2020-06-26 12:24:59 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2020-06-26 17:21:47 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2020-06-26 17:21:51 UTC Comment hidden (obsolete)
Comment 5 David Nind 2020-06-26 20:39:08 UTC
Created attachment 106352 [details] [review]
Bug 23148: Replace Bridge icons with transparent PNG files

This patch adds SVG versions of the Bridge item type icon set to
misc/interface_customization/itemtypeimg/bridge. It adds some
new icons, and updates some existing icons. All GIF versions of the
icons are replaced with transparent PNG files.

Icon changes:

- English text has been removed from all icons
- New icon for "Periodical," to differentiate from "Journal"
- New icon, "Controller" for video games
- New icon for "Laserdisk" to differentiate from "DVD"
- New icon for "Kit" to differentiate from "Archive"
- New icon, "Reference books."
- Updated "badges" on "Juvenile book" and "Reserve book" to try to
  express the information without English-specific letters.

Before applying the patch, update some item types or collection codes
with Bridge icons. Apply the patch and run the database update process.

 - Open the advanced search page in the staff client and confirm that
   your item type or collection code icons were updated correctly.
 - Go to Administration -> Item types and edit an item type.
   - Check the "bridge" tab and confirm that the icon options look
     correct.

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2020-06-26 20:39:12 UTC
Created attachment 106353 [details] [review]
Bug 23148: (follow-up) Replace gif files in the OPAC with pngs

This patch removes the old gif files from the OPAC bridge set and
replaces them with png files.

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Katrin Fischer 2020-06-28 22:06:29 UTC
Hi Owen, 

this works nicely, but we still have references to the .gif files in the installer sample data. Can you please fix those as well?
Comment 8 Owen Leonard 2020-06-29 12:01:39 UTC
Created attachment 106391 [details] [review]
Bug 23148: (follow-up) Correct image paths in sample_itemtypes.yml
Comment 9 Owen Leonard 2020-06-29 12:33:05 UTC
Created attachment 106392 [details] [review]
Bug 23148: (follow-up) Correct image paths in sample data and tests
Comment 10 Julian Maurice 2020-07-03 07:02:28 UTC
Created attachment 106483 [details] [review]
Bug 23148: Replace Bridge icons with transparent PNG files

This patch adds SVG versions of the Bridge item type icon set to
misc/interface_customization/itemtypeimg/bridge. It adds some
new icons, and updates some existing icons. All GIF versions of the
icons are replaced with transparent PNG files.

Icon changes:

- English text has been removed from all icons
- New icon for "Periodical," to differentiate from "Journal"
- New icon, "Controller" for video games
- New icon for "Laserdisk" to differentiate from "DVD"
- New icon for "Kit" to differentiate from "Archive"
- New icon, "Reference books."
- Updated "badges" on "Juvenile book" and "Reserve book" to try to
  express the information without English-specific letters.

Before applying the patch, update some item types or collection codes
with Bridge icons. Apply the patch and run the database update process.

 - Open the advanced search page in the staff client and confirm that
   your item type or collection code icons were updated correctly.
 - Go to Administration -> Item types and edit an item type.
   - Check the "bridge" tab and confirm that the icon options look
     correct.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 11 Julian Maurice 2020-07-03 07:02:32 UTC
Created attachment 106484 [details] [review]
Bug 23148: (follow-up) Replace gif files in the OPAC with pngs

This patch removes the old gif files from the OPAC bridge set and
replaces them with png files.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 12 Julian Maurice 2020-07-03 07:02:35 UTC
Created attachment 106485 [details] [review]
Bug 23148: (follow-up) Correct image paths in sample data and tests

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 13 Julian Maurice 2020-07-03 07:02:38 UTC
Created attachment 106486 [details] [review]
Bug 23148: Fix bridge image paths in de-DE installer files

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 14 Jonathan Druart 2020-07-20 15:48:04 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 15 Lucas Gass 2020-07-27 16:07:11 UTC
backported to 20.05.x for 20.05.03
Comment 16 Aleisha Amohia 2020-08-03 22:54:41 UTC
enhancement, not backported to 19.11.x